---
SPDXID: "SPDXRef-DOCUMENT"
spdxVersion: "SPDX-2.2"
creationInfo:
  created: "2023-04-29T06:28:19Z"
  creators:
  - "Tool: OSS Review Toolkit - cc543c9380-dirty"
  licenseListVersion: "3.19"
name: "Unnamed document"
dataLicense: "CC0-1.0"
documentNamespace: "spdx://6b3124a3-948c-4a54-b6f4-f53e5c35789f"
documentDescribes:
- "SPDXRef-Project-GoMod-github.com.eclipse-tractusx.tractusx-quality-checks-eb43dc40a125a4dfaae108f48e0f71821fde7528"
packages:
- SPDXID: "SPDXRef-Project-GoMod-github.com.eclipse-tractusx.tractusx-quality-checks-eb43dc40a125a4dfaae108f48e0f71821fde7528"
  copyrightText: "Copyright (c) 2023 Contributors"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "github.com/eclipse-tractusx/tractusx-quality-checks"
  summary: "NONE"
  versionInfo: "eb43dc40a125a4dfaae108f48e0f71821fde7528"
- SPDXID: "SPDXRef-Package-Go-github.com.inconshreveable.mousetrap-1.0.1"
  copyrightText: "Copyright 2022 Alan Shreve"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/github.com%2Finconshreveable%2Fmousetrap@1.0.1"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "github.com/inconshreveable/mousetrap"
  summary: "NONE"
  versionInfo: "1.0.1"
- SPDXID: "SPDXRef-Package-Go-github.com.inconshreveable.mousetrap-1.0.1-vcs"
  copyrightText: "Copyright 2022 Alan Shreve"
  downloadLocation: "git+https://github.com/inconshreveable/mousetrap.git@3a66f25f8779fad208598f21472174ef7b35c3ec"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/github.com%2Finconshreveable%2Fmousetrap@1.0.1"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "github.com/inconshreveable/mousetrap"
  summary: "NONE"
  versionInfo: "1.0.1"
- SPDXID: "SPDXRef-Package-Go-github.com.spf13.cobra-1.6.1"
  copyrightText: "Copyright 2013-2022 The Cobra Authors"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/github.com%2Fspf13%2Fcobra@1.6.1"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "github.com/spf13/cobra"
  summary: "NONE"
  versionInfo: "1.6.1"
- SPDXID: "SPDXRef-Package-Go-github.com.spf13.cobra-1.6.1-vcs"
  copyrightText: "Copyright 2013-2022 The Cobra Authors"
  downloadLocation: "git+https://github.com/spf13/cobra.git@b43be995ebb4bee335a787bd44498b91aef7619c"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/github.com%2Fspf13%2Fcobra@1.6.1"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "github.com/spf13/cobra"
  summary: "NONE"
  versionInfo: "1.6.1"
- SPDXID: "SPDXRef-Package-Go-github.com.spf13.pflag-1.0.5"
  copyrightText: "Copyright (c) 2012 Alex Ogier\nCopyright (c) 2012 The Go Authors\n\
    Copyright 2009-2010, 2012 The Go Authors"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/github.com%2Fspf13%2Fpflag@1.0.5"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "github.com/spf13/pflag"
  summary: "NONE"
  versionInfo: "1.0.5"
- SPDXID: "SPDXRef-Package-Go-github.com.spf13.pflag-1.0.5-vcs"
  copyrightText: "Copyright (c) 2012 Alex Ogier\nCopyright (c) 2012 The Go Authors\n\
    Copyright 2009-2010, 2012 The Go Authors"
  downloadLocation: "git+https://github.com/spf13/pflag.git@2e9d26c8c37aae03e3f9d4e90b7116f5accb7cab"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/github.com%2Fspf13%2Fpflag@1.0.5"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "github.com/spf13/pflag"
  summary: "NONE"
  versionInfo: "1.0.5"
- SPDXID: "SPDXRef-Package-Go-gopkg.in.yaml.v3-3.0.1"
  copyrightText: "Copyright (c) 2006-2011 Kirill Simonov\nCopyright (c) 2011-2019\
    \ Canonical Ltd\nCopyright 2011-2016 Canonical Ltd."
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/gopkg.in%2Fyaml.v3@3.0.1"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "gopkg.in/yaml.v3"
  summary: "NONE"
  versionInfo: "3.0.1"
- SPDXID: "SPDXRef-Package-Go-gopkg.in.yaml.v3-3.0.1-source-artifact"
  copyrightText: "Copyright (c) 2006-2011 Kirill Simonov\nCopyright (c) 2011-2019\
    \ Canonical Ltd\nCopyright 2011-2016 Canonical Ltd."
  downloadLocation: "https://proxy.golang.org/gopkg.in/yaml.v3/@v/v3.0.1.zip"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/gopkg.in%2Fyaml.v3@3.0.1"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "gopkg.in/yaml.v3"
  summary: "NONE"
  versionInfo: "3.0.1"
relationships:
- spdxElementId: "SPDXRef-Package-Go-github.com.inconshreveable.mousetrap-1.0.1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Go-github.com.inconshreveable.mousetrap-1.0.1-vcs"
- spdxElementId: "SPDXRef-Package-Go-github.com.spf13.cobra-1.6.1"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Go-github.com.spf13.pflag-1.0.5"
- spdxElementId: "SPDXRef-Package-Go-github.com.spf13.cobra-1.6.1"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Go-gopkg.in.yaml.v3-3.0.1"
- spdxElementId: "SPDXRef-Package-Go-github.com.spf13.cobra-1.6.1"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Go-github.com.inconshreveable.mousetrap-1.0.1"
- spdxElementId: "SPDXRef-Package-Go-github.com.spf13.cobra-1.6.1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Go-github.com.spf13.cobra-1.6.1-vcs"
- spdxElementId: "SPDXRef-Package-Go-github.com.spf13.pflag-1.0.5"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Go-github.com.spf13.pflag-1.0.5-vcs"
- spdxElementId: "SPDXRef-Package-Go-gopkg.in.yaml.v3-3.0.1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Go-gopkg.in.yaml.v3-3.0.1-source-artifact"
- spdxElementId: "SPDXRef-Project-GoMod-github.com.eclipse-tractusx.tractusx-quality-checks-eb43dc40a125a4dfaae108f48e0f71821fde7528"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Go-github.com.spf13.cobra-1.6.1"
- spdxElementId: "SPDXRef-Project-GoMod-github.com.eclipse-tractusx.tractusx-quality-checks-eb43dc40a125a4dfaae108f48e0f71821fde7528"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Go-gopkg.in.yaml.v3-3.0.1"
